
/*
Temporary do file using data from Gaston

secondary income (raw from IMF)
*/



**# Figure 5i
/*------------------------------------------------------------------------------
Figure 5i. Net Foreign Transfers as % Net Domestic Product (MER) by World Region 1970-2023
------------------------------------------------------------------------------*/
 *NEt Income Abroad : net_foreignaid+net_remittances+net_othertransfers (mscrnx+msconx+mscgnx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net income abroad
g nia_mer_usd=(mscrnx+msconx+mscgnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nia_mer_usd, by(year )
	g nia_mer_ratioWorld=nia_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nia_mer_usd
	save nia_mer_ratioWorld.dta,replace
	restore 
 	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nia_mer_usd, by(year region)
	*Format in Figure format
	g nia_mer_ratio=nia_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nia_mer_usd
	reshape wide nia_mer_ratio , i(year) j(region) string
	merge 1:1 year using nia_mer_ratioWorld.dta
	drop _merge 
	cap erase nia_mer_ratioWorld.dta
	tsset year
	ren nia_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline EASA EURO LATA MENA NAOC RUCA SSAF SSEA World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("(Net Foreign Aid + Net Remittances +" "Net Other Transfers) % NDP" "by world regions") ///
	lcolor(red ebblue green gold magenta orange sienna purple black) lwidth(thick thick thick thick thick thick thick thick thick) legend(row(2))
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_nia", modify) cell(A4) keepcellfmt

		
		
**# Figure 5j
/*------------------------------------------------------------------------------
Figure 5j. Net Foreign Transfers as % Net Domestic Product (MER) for the Largest Economies 1970-2023
------------------------------------------------------------------------------*/
 *NEt Income Abroad : net_foreignaid+net_remittances+net_othertransfers (mscrnx+msconx+mscgnx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net income abroad
g nia_mer_usd=(mscrnx+msconx+mscgnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nia_mer_usd, by(year )
	g nia_mer_ratioWorld=nia_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nia_mer_usd
	save nia_mer_ratioWorld.dta,replace
	restore 
	
	
 		merge m:1 country using largest.dta
	keep if _merge==3
	drop _merge
	loc s countryname
			replace `s' = subinstr(`s', " ", "_", .)

	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nia_mer_usd, by(year countryname)
	
	
	*Format in Figure format
	g nia_mer_ratio=nia_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nia_mer_usd
	reshape wide nia_mer_ratio , i(year) j(countryname) string
	merge 1:1 year using nia_mer_ratioWorld.dta
	drop _merge 
	cap erase nia_mer_ratioWorld.dta
	tsset year
	ren nia_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline Brazil China France Germany India Indonesia Japan Russian_Federation USA United_Kingdom World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("(Net Foreign Aid + Net Remittances +" "Net Other Transfers) % NDP" "by world regions") ///
	lpattern(dash dash dash dash shortdash shortdash shortdash shortdash  ) legend(size(small) row(2)) lcolor(green red  blue cyan magenta gold orange purple brown pink black) 
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_large_nia", modify) cell(A4) keepcellfmt
		
		
		
		
	
 **# Figure 5k
/*------------------------------------------------------------------------------
Figure 5k. Net Remittances as % Net Domestic Product (MER) by World Region 1970-2023
------------------------------------------------------------------------------*/
 *net_remittances (mscrnx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net remittances old
g nr_mer_usd=(mscrnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nr_mer_usd, by(year )
	g nr_mer_ratioWorld=nr_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nr_mer_usd
	save nr_mer_ratioWorld.dta,replace
	restore 
 	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nr_mer_usd, by(year region)
	*Format in Figure format
	g nr_mer_ratio=nr_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nr_mer_usd
	reshape wide nr_mer_ratio , i(year) j(region) string
	merge 1:1 year using nr_mer_ratioWorld.dta
	drop _merge 
	cap erase nr_mer_ratioWorld.dta
	tsset year
	ren nr_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline EASA EURO LATA MENA NAOC RUCA SSAF SSEA World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("(Net Remittances  % NDP" "by world regions") ///
	lcolor(red ebblue green gold magenta orange sienna purple black) lwidth(thick thick thick thick thick thick thick thick thick) legend(row(2))
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_rem", modify) cell(A4) keepcellfmt

		
	
	
	
	
**# Figure 5l largest
/*------------------------------------------------------------------------------
Figure 5l. Net Remittances as % Net Domestic Product (MER) for the Largest Economies 1970-2023
------------------------------------------------------------------------------*/
 *net_remittances (mscrnx)(mscrnx+msconx+mscgnx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net remittances
g nr_mer_usd=(mscrnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nr_mer_usd, by(year )
	g nr_mer_ratioWorld=nr_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nr_mer_usd
	save nr_mer_ratioWorld.dta,replace
	restore 
	
	
 		merge m:1 country using largest.dta
	keep if _merge==3
	drop _merge
	loc s countryname
			replace `s' = subinstr(`s', " ", "_", .)

	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nr_mer_usd, by(year countryname)
	
	
	*Format in Figure format
	g nr_mer_ratio=nr_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nr_mer_usd
	reshape wide nr_mer_ratio , i(year) j(countryname) string
	merge 1:1 year using nr_mer_ratioWorld.dta
	drop _merge 
	cap erase nr_mer_ratioWorld.dta
	tsset year
	ren nr_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline Brazil China France Germany India Indonesia Japan Russian_Federation USA United_Kingdom World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("Net Remittances % NDP" "by world regions") ///
	lpattern(dash dash dash dash shortdash shortdash shortdash shortdash  ) legend(size(small) row(2)) lcolor(green red  blue cyan magenta gold orange purple brown pink black) 
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_large_rem", modify) cell(A4) keepcellfmt
			
	
 
	
	
	
 **# Figure 5m
/*------------------------------------------------------------------------------
Figure 5m. Net Public Foreign Transfers as % Net Domestic Product (MER) by World Region 1970-2023
------------------------------------------------------------------------------*/ 
 *Net Foreign Aid (mscgnx)
  /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net income abroad
g nfa_mer_usd=(mscgnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nfa_mer_usd, by(year )
	g nfa_mer_ratioWorld=nfa_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nfa_mer_usd
	save nfa_mer_ratioWorld.dta,replace
	restore 
 	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nfa_mer_usd, by(year region)
	*Format in Figure format
	g nfa_mer_ratio=nfa_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nfa_mer_usd
	reshape wide nfa_mer_ratio , i(year) j(region) string
	merge 1:1 year using nfa_mer_ratioWorld.dta
	drop _merge 
	cap erase nfa_mer_ratioWorld.dta
	tsset year
	ren nfa_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline EASA EURO LATA MENA NAOC RUCA SSAF SSEA World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("Net Foreign Aid % NDP" "by world regions") ///
	lcolor(red ebblue green gold magenta orange sienna purple black) lwidth(thick thick thick thick thick thick thick thick thick) legend(row(2))
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_nfa", modify) cell(A4) keepcellfmt

		
		
**# Figure 5n largest
/*------------------------------------------------------------------------------
Figure 5n. Net Public Foreign Transfers as % Net Domestic Product (MER) for the Largest Economies 1970-2023
------------------------------------------------------------------------------*/ 
 *Net Foreign Aid (mscgnx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net foreign aid
g nfa_mer_usd=(mscgnx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd nfa_mer_usd, by(year )
	g nfa_mer_ratioWorld=nfa_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nfa_mer_usd
	save nfa_mer_ratioWorld.dta,replace
	restore 
	
	
 		merge m:1 country using largest.dta
	keep if _merge==3
	drop _merge
	loc s countryname
			replace `s' = subinstr(`s', " ", "_", .)

	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd nfa_mer_usd, by(year countryname)
	
	
	*Format in Figure format
	g nfa_mer_ratio=nfa_mer_usd/ndp_mer_usd
	drop ndp_mer_usd nfa_mer_usd
	reshape wide nfa_mer_ratio , i(year) j(countryname) string
	merge 1:1 year using nfa_mer_ratioWorld.dta
	drop _merge 
	cap erase nfa_mer_ratioWorld.dta
	tsset year
	ren nfa_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline Brazil China France Germany India Indonesia Japan Russian_Federation USA United_Kingdom World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("Net Foreign Aid % NDP" "by world regions") ///
	lpattern(dash dash dash dash shortdash shortdash shortdash shortdash  ) legend(size(small) row(2)) lcolor(green red  blue cyan magenta gold orange purple brown pink black) 
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_large_nfa", modify) cell(A4) keepcellfmt
			
			
		
		
		
**# Figure 5o
/*------------------------------------------------------------------------------
Figure 5o. Net Other Foreign Transfers as % Net Domestic Product (MER) by World Region 1970-2023
------------------------------------------------------------------------------*/ 
 *Net Other Transfers (raw from IMF) (msconx)
  /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net other transfers
g not_mer_usd=(msconx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd not_mer_usd, by(year )
	g not_mer_ratioWorld=not_mer_usd/ndp_mer_usd
	drop ndp_mer_usd not_mer_usd
	save not_mer_ratioWorld.dta,replace
	restore 
 	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd not_mer_usd, by(year region)
	*Format in Figure format
	g not_mer_ratio=not_mer_usd/ndp_mer_usd
	drop ndp_mer_usd not_mer_usd
	reshape wide not_mer_ratio , i(year) j(region) string
	merge 1:1 year using not_mer_ratioWorld.dta
	drop _merge 
	cap erase not_mer_ratioWorld.dta
	tsset year
	ren not_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline EASA EURO LATA MENA NAOC RUCA SSAF SSEA World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("Net Other Transfers % NDP" "by world regions") ///
	lcolor(red ebblue green gold magenta orange sienna purple black) lwidth(thick thick thick thick thick thick thick thick thick) legend(row(2))
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_not", modify) cell(A4) keepcellfmt
		
		
		
		
		
**# Figure 5p largest
/*------------------------------------------------------------------------------
Figure 5p. Net Other Foreign Transfers as % Net Domestic Product (MER) for the Largest Economies 1970-2023
------------------------------------------------------------------------------*/
 *Net Other Transfers (raw from IMF) (msconx)
 /*
 ren foreignaid_debit	scgpx
ren foreignaid_credit	scgrx
ren net_foreignaid		scgnx
ren remittances_debit	scrpx
ren remittances_credit	scrrx
ren net_remittances		scrnx
ren othtrans_debit		scopx
ren othtrans_credit		scorx
ren net_othtrans		sconx
 */
 use "$root\raw-data\bop_currentacc.dta",clear
ren iso country
gen corecountry=.
foreach c of global corecountries {
	replace corecountry=1 if country=="`c'"
	}
		
keep if (corecountry==1 | country=="WO")


keep if year>=1970
g region2=""
foreach c of global EURO {
	replace region2="EURO" if country=="`c'"
	}
foreach c of global NAOC {
	replace region2="NAOC" if country=="`c'"
	}
foreach c of global LATA {
	replace region2="LATA" if country=="`c'"
	}
foreach c of global MENA {
	replace region2="MENA" if country=="`c'"
	}
foreach c of global SSAF {
	replace region2="SSAF" if country=="`c'"
	}
foreach c of global RUCA {
	replace region2="RUCA" if country=="`c'"
	}
foreach c of global EASA {
	replace region2="EASA" if country=="`c'"
	}	
foreach c of global SSEA {
	replace region2="SSEA" if country=="`c'"
	}		
ren region2 region

drop if region==""


g mscrnx=scrnx*gdp_usd
g msconx=sconx*gdp_usd
g mscgnx=scgnx*gdp_usd

keep country year mscrnx msconx mscgnx
merge 1:1 country year using main_dataset.dta
keep if _merge==3
drop _merge

*net other transfers
g not_mer_usd=(msconx)



	preserve
	*Aggregate at the national-year level
	collapse (sum) ndp_mer_usd not_mer_usd, by(year )
	g not_mer_ratioWorld=not_mer_usd/ndp_mer_usd
	drop ndp_mer_usd not_mer_usd
	save not_mer_ratioWorld.dta,replace
	restore 
	
	
 		merge m:1 country using largest.dta
	keep if _merge==3
	drop _merge
	loc s countryname
			replace `s' = subinstr(`s', " ", "_", .)

	*Aggregate at the region-year level
	collapse (sum) ndp_mer_usd not_mer_usd, by(year countryname)
	
	
	*Format in Figure format
	g not_mer_ratio=not_mer_usd/ndp_mer_usd
	drop ndp_mer_usd not_mer_usd
	reshape wide not_mer_ratio , i(year) j(countryname) string
	merge 1:1 year using not_mer_ratioWorld.dta
	drop _merge 
	cap erase not_mer_ratioWorld.dta
	tsset year
	ren not_mer_ratio* *
	 foreach var of varlist _all {
	label var `var' ""
}
	tsline Brazil China France Germany India Indonesia Japan Russian_Federation USA United_Kingdom World if inrange(year,1970,2023),yline(0,lcolor(gray)) xla(1970(2)2023,angle(90) labsize(small)) ///
	title("Net Foreign Aid % NDP" "by world regions") ///
	lpattern(dash dash dash dash shortdash shortdash shortdash shortdash  ) legend(size(small) row(2)) lcolor(green red  blue cyan magenta gold orange purple brown pink black) 
	
		export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("DataF5_large_not", modify) cell(A4) keepcellfmt		
	