

**# Appendix 1
*Import PPP series for 2021
wid, ind(xlceup xlcusp xlcusx xlceux) ag(999) pop(i) year(2021) clear
drop percentile age pop
reshape wide value, i(country) j(variable) string
rename valuexlceup999i ppp_2021_eur //PPP EUR
rename valuexlcusp999i ppp_2021_usd //PPP USD
rename valuexlceux999i mer_2021_eur //MER EUR
rename valuexlcusx999i mer_2021_usd //MER USD
drop year
save ppp_mer_2021.dta,replace

use main_dataset.dta,clear
keep if year==2023
drop if country=="WO"

 g nni_ppp_2023_eur_pc=nni_ppp_2023_eur/poptot
g nni_mer_ppp_ratio=nni_mer_2023_eur/nni_ppp_2023_eur

 sort nni_ppp_2023_eur_pc
 egen seq=seq()
 g percentile=""
	 replace percentile="0%-10%" if inrange(seq,1,22)
	 replace percentile="10%-20%" if inrange(seq,23,44)
	 replace percentile="20%-30%" if inrange(seq,45,66)
	 replace percentile="30%-40%" if inrange(seq,67,87)
	 replace percentile="40%-50%" if inrange(seq,88,108) 
	 replace percentile="50%-60%" if inrange(seq,109,129)
	 replace percentile="60%-70%" if inrange(seq,130,150)
	 replace percentile="70%-80%" if inrange(seq,151,172)
	 replace percentile="80%-90%" if inrange(seq,173,194)
	 replace percentile="90%-100%" if inrange(seq,195,216) 
	 
g PPP_to_MER_2023_EUR=ppp_2023_eur/mer_eur
g PPP_to_MER_2023_USD=ppp_2023_usd/mer_usd	 





merge 1:1 country using ppp_mer_2021.dta
keep if _merge==3
drop _merge
*erase ppp_mer_2021.dta


gsort -nni_ppp_2023_eur_pc

g PPP_to_MER_2021_EUR=ppp_2021_eur/mer_2021_eur
g PPP_to_MER_2021_USD=ppp_2021_usd/mer_2021_usd	 


g nfli_ppp_2023_usd=(/*nipi**/nfli)/ppp_2023_usd 
g nfci_ppp_2023_usd=(/*nipi**/nfci)/ppp_2023_usd 

order countryname nni_ppp_2023_eur_pc percentile region   nni_ppp_2023_eur poptot country nfi_ppp_2023_usd nfci_ppp_2023_usd nfli_ppp_2023_usd nfw_ppp_2023_usd /// 
ndp_ppp_2023_usd gdp_ppp_2023_usd 	PPP_to_MER_2023_EUR PPP_to_MER_2023_USD PPP_to_MER_2021_EUR PPP_to_MER_2021_USD	

keep countryname nni_ppp_2023_eur_pc percentile region   nni_ppp_2023_eur poptot country nfi_ppp_2023_usd nfci_ppp_2023_usd nfli_ppp_2023_usd nfw_ppp_2023_usd /// 
 ndp_ppp_2023_usd gdp_ppp_2023_usd	PPP_to_MER_2023_EUR PPP_to_MER_2023_USD	 PPP_to_MER_2021_EUR PPP_to_MER_2021_USD	


*Export 
export excel using "$root\GomezCarreraetal2024Macro.xlsx", sheet("Appendix1", modify) cell(A4) keepcellfmt



*Erase all temporary files
local datafiles: dir "$work_data" files "*.dta"
foreach datafile of local datafiles {
        rm `datafile'
}
